GNU bug report logs - #2891
23.0.92; 'Save Options' does not save font setting

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Leo <sdl.web@HIDDEN>; Keywords: confirmed; merged with #2845, #4295, #22939, #23366; dated Sun, 5 Apr 2009 15:10:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 2845 2891 4295 22939 23366. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 2845 2891 4295. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
Merged 2845 2891. Request was from Glenn Morris <rgm+emacsbugs@HIDDEN> to control@HIDDEN. Full text available.

Message received at 2891@HIDDEN:


Received: (at 2891) by emacsbugs.donarmstrong.com; 31 May 2009 15:55:57 +0000
From sl392@HIDDEN Sun May 31 08:55:57 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-4.5 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from ppsw-0.csi.cam.ac.uk (ppsw-0.csi.cam.ac.uk [131.111.8.130])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n4VFtqAw031023
	for <2891@HIDDEN>; Sun, 31 May 2009 08:55:53 -0700
X-Cam-AntiVirus: no malware found
X-Cam-SpamDetails: not scanned
X-Cam-ScannerInfo: http://www.cam.ac.uk/cs/email/scanner/
Received: from smaug.linux.pwf.cam.ac.uk ([193.60.95.72]:40539)
	by ppsw-0.csi.cam.ac.uk (smtp.hermes.cam.ac.uk [131.111.8.150]:587)
	with esmtpsa (LOGIN:sl392) (TLSv1:DHE-RSA-AES256-SHA:256)
	id 1MAnO3-0005lX-10 (Exim 4.70)
	(return-path <sl392@HIDDEN>); Sun, 31 May 2009 16:55:51 +0100
From: Leo <sdl.web@HIDDEN>
To: Adrian Robert <adrian.b.robert@HIDDEN>
Cc: 2891 <at> debbugs.gnu.org
Subject: Re: bug#2891: 'Save Options' does not save font setting
References: <745C9386-7641-480C-912F-69BC4F5C0020@HIDDEN>
Date: Sun, 31 May 2009 16:55:51 +0100
In-Reply-To: <745C9386-7641-480C-912F-69BC4F5C0020@HIDDEN> (Adrian Robert's
	message of "Sun, 31 May 2009 21:57:01 +0700")
Message-ID: <xbaid49pqnaw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: "Leo, Shidai Liu" <sl392@HIDDEN>

On 2009-05-31 15:57 +0100, Adrian Robert wrote:
> Yes, Emacs.app used to do this but I believe standard emacs doesn't,
> and Emacs.app was changed to behave like standard emacs.  (Can
> someone else confirm this if they run emacs under X11 or W32?)

If this is the case please close the bug. Actually I rarely use this
feature on platforms like GNU/Linux or Windows because font setting can
be done outside Emacs (using X11 Resources or Win registry).

Leo



Acknowledgement sent to Leo <sdl.web@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>, owner@HIDDEN. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>, owner@HIDDEN:
bug#2891; Package emacs,ns. Full text available.

Message received at 2891@HIDDEN:


Received: (at 2891) by emacsbugs.donarmstrong.com; 31 May 2009 14:56:45 +0000
From adrian.b.robert@HIDDEN Sun May 31 07:56:44 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.7 required=4.0 tests=AWL autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from wf-out-1314.google.com (wf-out-1314.google.com [209.85.200.170])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n4VEueMU019360
	for <2891@HIDDEN>; Sun, 31 May 2009 07:56:41 -0700
Received: by wf-out-1314.google.com with SMTP id 28so3081193wfa.13
        for <2891@HIDDEN>; Sun, 31 May 2009 07:56:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:mime-version:content-type
         :message-id:cc:content-transfer-encoding:from:subject:date:to
         :x-mailer;
        bh=vdjBOuXzsjhyc4m12gRCWYz6DPLXj4ZRMf+JPwsgj1M=;
        b=Xpsbhg3jr49+Cm6hF0rYjm4byqs1sN+IX7FiORF5NxcF6wuJR6gyUftKwCmYoBmor+
         ZQdbNry1eTUp8genQ3K6C8Blywg2qsYjn7APr+xHuDr/mOmbvSvizAxjxacxIk+AgZj/
         N9RZoU0v5tPxAb/cn1xwQPv6NcXGGWwYh/iTk=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:content-type:message-id:cc:content-transfer-encoding
         :from:subject:date:to:x-mailer;
        b=EXG1gtk8SXEhxw0ZWpKy+cYA3eDyQLy9djQE/BtXynG72y9k8PdaufcALUZtHZFQko
         5cjS9ysYytWNFXwo7Y26lXHmjPMWo36wGJAcrGDnsbBdiQ1hhbo/GHhTpTliztNiOUqH
         tX/eq+E9HQ1IRtReCeU2iodeKgBHJT0RRpWvk=
Received: by 10.142.76.4 with SMTP id y4mr1481991wfa.172.1243781799983;
        Sun, 31 May 2009 07:56:39 -0700 (PDT)
Received: from ?110.49.0.112? ([110.49.0.112])
        by mx.google.com with ESMTPS id v39sm4703456wah.27.2009.05.31.07.56.36
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Sun, 31 May 2009 07:56:39 -0700 (PDT)
Mime-Version: 1.0 (Apple Message framework v753.1)
Content-Type: text/plain; charset=US-ASCII; delsp=yes; format=flowed
Message-Id: <745C9386-7641-480C-912F-69BC4F5C0020@HIDDEN>
Cc: Leo <sdl.web@HIDDEN>
Content-Transfer-Encoding: 7bit
From: Adrian Robert <adrian.b.robert@HIDDEN>
Subject: Re: 'Save Options' does not save font setting
Date: Sun, 31 May 2009 21:57:01 +0700
To: 2891 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.753.1)

Yes, Emacs.app used to do this but I believe standard emacs doesn't,  
and Emacs.app was changed to behave like standard emacs.  (Can  
someone else confirm this if they run emacs under X11 or W32?)

It is probably necessary to use 'M-x customize-face default' now to  
save this setting.

thanks,
Adrian




Acknowledgement sent to Adrian Robert <adrian.b.robert@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>, owner@HIDDEN. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>, owner@HIDDEN:
bug#2891; Package emacs,ns. Full text available.
bug reassigned from package `emacs' to `emacs,ns'. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 5 Apr 2009 15:01:52 +0000
From sl392@HIDDEN Sun Apr  5 08:01:51 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n35F1loO012918
	for <submit@HIDDEN>; Sun, 5 Apr 2009 08:01:49 -0700
Received: from mx10.gnu.org ([199.232.76.166]:58672)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <sl392@HIDDEN>)
	id 1LqTr1-0001Ok-1E
	for emacs-pretest-bug@HIDDEN; Sun, 05 Apr 2009 11:01:47 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <sl392@HIDDEN>)
	id 1LqTqy-0003gP-Tk
	for emacs-pretest-bug@HIDDEN; Sun, 05 Apr 2009 11:01:46 -0400
Received: from ppsw-0.csi.cam.ac.uk ([131.111.8.130]:55363)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <sl392@HIDDEN>)
	id 1LqTqy-0003g3-Js
	for emacs-pretest-bug@HIDDEN; Sun, 05 Apr 2009 11:01:44 -0400
X-Cam-AntiVirus: no malware found
X-Cam-SpamDetails: not scanned
X-Cam-ScannerInfo: http://www.cam.ac.uk/cs/email/scanner/
Received: from sl392.st-edmunds.cam.ac.uk ([131.111.223.202]:65516 helo=localhost)
	by ppsw-0.csi.cam.ac.uk (smtp.hermes.cam.ac.uk [131.111.8.150]:587)
	with esmtpsa (PLAIN:sl392) (TLSv1:DHE-RSA-AES256-SHA:256)
	id 1LqTqw-0001Gf-2Q (Exim 4.70) for emacs-pretest-bug@HIDDEN
	(return-path <sl392@HIDDEN>); Sun, 05 Apr 2009 16:01:42 +0100
From: Leo <sdl.web@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.92; 'Save Options' does not save font setting
Date: Sun, 05 Apr 2009 16:01:42 +0100
Message-ID: <m1fxgngn55.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.92 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: "Leo, Shidai Liu" <sl392@HIDDEN>
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)


I customise the font in Emacs.app by using ns-popup-font-panel and then
Menu > Options > Save Options. I check the custom file to find the no
options related to font are saved. I seem mto recall that font setting
is supposed to be saved.

In GNU Emacs 23.0.92.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-04-01 on 64-71-7-219.static.wiline.com
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  paredit-mode: t
  dired-omit-mode: t
  recentf-mode: t
  icomplete-mode: t
  savehist-mode: t
  display-time-mode: t
  xterm-mouse-mode: t
  delete-selection-mode: t
  global-auto-revert-mode: t
  minibuffer-depth-indicate-mode: t
  which-function-mode: t
  show-paren-mode: t
  rcirc-track-minor-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t




Acknowledgement sent to Leo <sdl.web@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2891; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 26 Apr 2016 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.